Tetrarch Asterios:
Elven Wizards call upon the spirit world for their control of Elemental, Dark and Summoning Magic. They attack their enemies with fire and wind, and are deadly in combat. They also call upon powerful dark spirits known as Servitors to do their bidding.
Spellsingers have refined Elemental Magic to its highest level, and have all followed the path of the Elemental Summoner..
"Tell me about the class transfer to the Elven Wizard Class."
Return